Bug 1814719 - Remove kernel-devel
Summary: Remove kernel-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.0
Assignee: Steve Milner
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-18 14:59 UTC by Colin Walters
Modified: 2020-10-27 15:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 15:56:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 15:56:56 UTC

Description Colin Walters 2020-03-18 14:59:01 UTC
RHEL CoreOS since https://gitlab.cee.redhat.com/coreos/redhat-coreos/merge_requests/868 ships kernel-devel as part of the host.  This is embarrassing and we need to fix it.

Comment 4 Micah Abbott 2020-05-20 19:40:30 UTC
We need to leave `kernel-devel` in the host to enable some partner work during the 4.5 release.  We will remove the package as part of the 4.6 release and utilize the extension enhancement to deliver it.  See https://github.com/openshift/enhancements/pull/317

Comment 5 Dusty Mabe 2020-06-19 20:31:15 UTC
Removing needinfo since @micah provided the necessary information.

Comment 6 Ben Howard 2020-06-24 20:39:26 UTC
Work is blocked pending an MCO feature.

Comment 10 Micah Abbott 2020-09-19 17:10:25 UTC
VERIFIED with 4.6.0-fc.5

```
$ oc get clusterversion
NAME      VERSION      AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-fc.5   True        False         52m     Cluster version is 4.6.0-fc.5

$ oc get nodes
NAME                                       STATUS   ROLES    AGE   VERSION
ci-ln-j38n5qt-f76d1-r2ks4-master-0         Ready    master   84m   v1.19.0-rc.2+fc4c489
ci-ln-j38n5qt-f76d1-r2ks4-master-1         Ready    master   84m   v1.19.0-rc.2+fc4c489
ci-ln-j38n5qt-f76d1-r2ks4-master-2         Ready    master   84m   v1.19.0-rc.2+fc4c489
ci-ln-j38n5qt-f76d1-r2ks4-worker-b-jg46v   Ready    worker   73m   v1.19.0-rc.2+fc4c489
ci-ln-j38n5qt-f76d1-r2ks4-worker-c-g5rvz   Ready    worker   73m   v1.19.0-rc.2+fc4c489
ci-ln-j38n5qt-f76d1-r2ks4-worker-d-njqvl   Ready    worker   74m   v1.19.0-rc.2+fc4c489

$ oc debug node/ci-ln-j38n5qt-f76d1-r2ks4-worker-b-jg46v
Starting pod/ci-ln-j38n5qt-f76d1-r2ks4-worker-b-jg46v-debug ...
To use host binaries, run `chroot /host`
Pod IP: 10.0.32.2
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4# rpm-ostree status
State: idle
Deployments:
* pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e88ce89bf75cfa9eb400d427eee9bcf13ca1fd061d9aa76bc95124c3b766cfce
              CustomOrigin: Managed by machine-config-operator
                   Version: 46.82.202009101640-0 (2020-09-10T16:44:26Z)

  ostree://24f88a05a6bd50f266edb8524e3f6dcc4aaeb8fcf4a81bf55a09ae9a9af455b7
                   Version: 46.82.202008260918-0 (2020-08-26T09:22:50Z)
sh-4.4# rpm -qa |grep kernel
kernel-4.18.0-193.19.1.el8_2.x86_64
kernel-core-4.18.0-193.19.1.el8_2.x86_64
kernel-modules-extra-4.18.0-193.19.1.el8_2.x86_64
kernel-modules-4.18.0-193.19.1.el8_2.x86_64
sh-4.4# 
```

Comment 13 errata-xmlrpc 2020-10-27 15:56:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.